View Issue Details

IDProjectCategoryView StatusLast Update
0001009Main CAcert Websitewebsite contentpublic2013-05-01 01:10
ReporterINOPIAEAssigned ToNEOatNHNG 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2011 Q1 
Target VersionFixed in Version2013 Q1 
Summary0001009: Exchange OA policy in the WebDB with the one in SVN (rev p20080401.1)
DescriptionAs the OA Policy in the WebDB is not the current one this needs to be replaced with the one from the SVN http://svn.cacert.org/CAcert/Policies/OrganisationAssurancePolicy/OrganisationAssurancePolicy.html
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001130 closedUli60 Replace DisputeResolutionPolicy.html with rev p20121213 
related to 0001131 closedNEOatNHNG Rename _all_ Policies from .php to .html and fix all links (was: Rename PolicyOnPolicy.php to .html) 
related to 0000941 needs workUli60 Policy Repository Migration 

Activities

iang

2012-12-21 17:46

developer   ~0003542

Policy copy [1] has been prepared to meet ruling of a20120121.1 [2]. This copy should be published into website repository [3] to conform with ruling.

[1] https://svn.cacert.org/CAcert/Policies/OrganisationAssurancePolicy/OrganisationAssurancePolicy_p20080401.html

[2] https://wiki.cacert.org/Arbitrations/a20120121.1

[3] http://www.cacert.org/policies/OrganisationAssurancePolicy/OrganisationAssurancePolicy.html

Uli60

2012-12-21 18:33

updater  

OrganisationAssurancePolicy_p20080401.html (11,668 bytes)

Uli60

2012-12-21 18:36

updater   ~0003543

updated OAP to reflect state p20080401.1
according to
https://wiki.cacert.org/PolicyDecisions#p20080401.1
and arbitration ruling order to update CURRENT revision
https://wiki.cacert.org/Arbitrations/a20120121.1 intermediate ruling 0000002 from 2012-01-29

INOPIAE

2013-01-06 22:42

updater   ~0003588

Pushed fix to https://github.com/INOPIAE/CAcert/commits/bug-1009

INOPIAE

2013-01-08 08:18

updater   ~0003601

The Organisation Assurance Policy shows the entry DRAFT p20080401.1 and the logos.

New policy works

Werner Dworak

2013-01-08 10:51

updater   ~0003606

The Organisation Assurance Policy shows the entry DRAFT p20080401.1 and the logos and else shows the same contents as SVN.

Therefore it works.

Uli60

2013-01-08 21:32

updater   ~0003616

Logout
About CAcert - Policies
shows -> OrganisationAssurancePolicy.php
=> FAIL
request was to set the policy to .HTML
see https://wiki.cacert.org/Brain/Policy/Guide

revision that needs to be replaced has a top 2.2.e
and a top 2.4 missing (easy identification)
https://cacert1.it-sls.de/policy/OrganisationAssurancePolicy.php
includes these 2 topics
=> ok

Policy + Draft symbol works
=> ok

Uli60

2013-01-08 21:44

updater   ~0003618

tested by 3
needs 2nd review and transfer to production

NEOatNHNG

2013-01-15 22:48

administrator   ~0003667

Changes OK (except for a link to the PolicyOnPolicy.html which really is a .php, but Marcus intends to change that) => ready to deploy

wytze

2013-01-17 15:28

developer   ~0003685

The fix has been installed on the production server on January 17, 2013. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2013-01/msg00004.html

Issue History

Date Modified Username Field Change
2012-01-27 15:10 INOPIAE New Issue
2012-12-21 15:15 Uli60 Assigned To => Uli60
2012-12-21 15:15 Uli60 File Added: OrganisationAssurancePolicy.html
2012-12-21 15:38 Uli60 File Deleted: OrganisationAssurancePolicy.html
2012-12-21 17:46 iang Note Added: 0003542
2012-12-21 18:12 Uli60 Relationship added related to 0001130
2012-12-21 18:28 Uli60 Relationship added related to 0001131
2012-12-21 18:33 Uli60 File Added: OrganisationAssurancePolicy_p20080401.html
2012-12-21 18:36 Uli60 Note Added: 0003543
2012-12-21 18:36 Uli60 Status new => fix available
2012-12-21 18:44 Uli60 Assigned To Uli60 => BenBE
2012-12-21 18:56 Uli60 Summary Exchange OA policy in the WebDB with the one in SVN => Exchange OA policy in the WebDB with the one in SVN (rev p20080401.1)
2013-01-06 22:42 INOPIAE Note Added: 0003588
2013-01-06 22:57 BenBE Reviewed by => BenBE
2013-01-06 22:57 BenBE Assigned To BenBE => NEOatNHNG
2013-01-06 22:57 BenBE Status fix available => needs review & testing
2013-01-08 08:18 INOPIAE Note Added: 0003601
2013-01-08 10:51 Werner Dworak Note Added: 0003606
2013-01-08 21:32 Uli60 Note Added: 0003616
2013-01-08 21:44 Uli60 Note Added: 0003618
2013-01-08 21:44 Uli60 Status needs review & testing => needs review
2013-01-10 10:45 Werner Dworak Relationship added related to 0000941
2013-01-15 22:48 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-01-15 22:48 NEOatNHNG Note Added: 0003667
2013-01-15 22:48 NEOatNHNG Status needs review => ready to deploy
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 74a86422
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 7cd56607
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable f48ae5d7
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 3e09b564
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0d6ffa00
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 5ab7aa49
2013-01-16 04:30 BenBE Source_changeset_attached => cacert-devel release 22073b28
2013-01-17 15:28 wytze Note Added: 0003685
2013-01-17 15:28 wytze Status ready to deploy => solved?
2013-01-17 15:28 wytze Resolution open => fixed
2013-01-17 15:32 Werner Dworak Product Version => 2011 Q1
2013-01-17 15:32 Werner Dworak Fixed in Version => 2013 Q1
2013-05-01 01:10 INOPIAE Status solved? => closed